Description

I propose the following methods Array#ljust(length [, pad]), Array#rjust(length [, pad]), whose behaviour is analogous to

String#ljust(length [, padstr]), String#rjust(length [, padstr]).

[:a, :b, :c].ljust(2) #=> [:a, :b, :c]

[:a, :b, :c].ljust(5) #=> [:a, :b, :c, nil, nil]

[:a, :b, :c].ljust(5, :x) #=> [:a, :b, :c, :x, :x]

History

#1 - 11/03/2011 06:02 PM - sawa (Tsuyoshi Sawada)

And also Array#center analogous to String#center as well.

#2 - 11/03/2011 07:36 PM - matz (Yukihiro Matsumoto)

- Status changed from Open to Feedback

なぜそれが必要なのか提案に含めてください。Stringにあるから、では不十分です。

私にはArray#ljustなどがあって嬉しい局面が想像できません。

#3 - 11/06/2011 05:02 PM - trans (Thomas Sawyer)

If you know pad length is greater than the array length then:

[:a,:b,:c].insert(5, nil)

Not sure about "rjust" though. I suppose there is always:

a.unshift(nil) until a.size == 5

Though that seems fairly inefficient.

#4 - 10/27/2012 11:55 PM - yhara (Yutaka HARA)

- Status changed from Feedback to Rejected

Hi,

I'm closing this ticket because of no feedback.

Please reopen if you still need these methods.

Powered by TCPDF (www.tcpdf.org)

06/13/2025 1/1

http://www.tcpdf.org

